World Editor API
Status: Closed Start date: 07/31/2025
Priority: Normal Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Sketchfab controller: lacks search
Doc: https://docs.sketchfab.com/data-api/v3/index.html#/search
Client side version: WorldEditor.search()

New controller needed for pretty much everything else that world editor does, most important is server-side implementation of
VRSpace.createSharedObject().

History

#1 - 08/01/2025 10:37 AM - Josip Almasi
- Assignee set to Josip Almasi

- Status changed from New to In Progress

#2 - 08/04/2025 04:19 PM - Josip Almasi

- Status changed from In Progress to Resolved

Sketchfab controller updated, WorldObjects controller added. World editor uses that REST API for most operations.

#3 - 08/11/2025 11:03 AM - Josip Almasi

- Status changed from Resolved to Closed
